

Crafty.c("Leaves", {
    options: {
        maxParticles: 5,
        size: 2,
        sizeRandom: 1,
        speed: 0.5,
        speedRandom: 0,
        // Lifespan in frames
        lifeSpan: 130,
        lifeSpanRandom: 2,
        // Angle is calculated clockwise: 12pm is 0deg, 3pm is 90deg etc.
        angle: 90,
        angleRandom: 5,
        startColour: [96, 57,19, 1],
        startColourRandom: [10, 10, 10, 0],
        endColour: [96, 57, 19, 0],
        endColourRandom: [10, 10, 10, 0],
        // Only applies when fastMode is off, specifies how sharp the gradients are drawn
        sharpness: 20,
        sharpnessRandom: 10,
        // Random spread from origin
        spread: 10,
        // How many frames should this last
        duration: -1,
        // Will draw squares instead of circle gradients
        fastMode: true,
        gravity: { x: 0.5, y: 0 },
        // sensible values are 0-3
        jitter: 0
    },
    init: function() {
        this.addComponent("2D, Canvas, Particles");
    },
    blow: function() {
        this.particles(this.options);
    }
});